How can I help you? Start Chat

US Phone: 1-866-488-6691
International Phone: +44-2036087492

  • E-Mail
  • Facebook
  • LinkedIn
  • Twitter

Check Point Advisories

Digium Asterisk SIP sscanf Multiple Denial of Service (CVE-2009-2726)

Check Point Reference: CPAI-2009-413
Date Published: 21 Feb 2010
Severity: High
Last Updated: 22 May 2017
Source:
Industry Reference:CVE-2009-2726
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable?
Vulnerability Description Asterisk is an open source software implementation of a telephone private branch exchange. Like any PBX, it allows a number of attached telephones to make calls to one another, and to connect to other telephone services including the public switched telephone network. Asterisk supports a wide range of Voice over IP protocols, including SIP, IAX2, MGCP, and H.323.A denial of service vulnerability has been reported in Asterisk SIP Channel Driver. The vulnerability is due to insufficient input validation when processing maliciously crafted SIP requests.Remote authenticated attackers could exploit this vulnerability by crafting SIP requests. Successful exploitation could result in a denial of service condition.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Digium Asterisk SIP sscanf Multiple Denial of Service protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  VoIP Enforcement Violation.
Attack Information:  Digium Asterisk SIP sscanf Multiple Denial of Service